%define		_class		HTTP
%define		_status		stable
%define		_pearname	HTTP
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - miscellaneous HTTP utilities
Summary(pl.UTF-8):	%{_pearname} - różne narzędzie do HTTP
Name:		php-pear-%{_pearname}
Version:	1.4.1
Release:	5
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	6fe726d7304f81ac1fe866b7725512fa
URL:		http://pear.php.net/package/HTTP/
BuildRequires:	php-pear-PEAR >= 1:1.7.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.0.6
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-HTTP-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTTP class is a class with static methods for doing miscellaneous
HTTP-related stuff like date formatting or language negotiation.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa HTTP jest klasą ze statycznymi metodami różnych związanych z
HTTP rzeczy, jak formatowanie daty czy negocjacja języka.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 6d5fa78
- use php(core) for php engine version deps
- release 4 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 35ee9d0
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 81dcee1
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 428dc2a
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 5e4e854
- updated deps with pearize.sh
- release 2

* Mon Sep 01 2008 Adam Gołębiowski <adamg@pld-linux.org> bdf0fad
- updated to 1.4.1
- tests subpackage

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> be35799
- rel 5

* Thu Sep 13 2007 Jan Rękorajski <baggins@pld-linux.org> cee4842
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f8530e7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8ad90cc
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 76b32ca
- rel 3: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> ca636cd
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 05c5057
- BR php-pear-PEAR

* Mon Nov 28 2005 Elan Ruusamäe <glen@pld-linux.org> 728db48
- assume outdated (if not true rediff)

* Mon Nov 28 2005 Elan Ruusamäe <glen@pld-linux.org> fb0ce94
- assume patch0 outdated; rel 2

* Mon Nov 21 2005 Elan Ruusamäe <glen@pld-linux.org> 9f23ccd
- 1.4.0

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> 42c27da
- rel 4

* Fri Oct 21 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> bb984e7
- do not pass by reference; rel 3

* Fri Oct 21 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 01a6713
- fixes for php 5.0.5 and never

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> b613b39
- rel 2

